Subject: Re: [mumi PATCH 2/3] client: Add git-send-email-headers subcommand.

From: Arun Isaac <[email-masked]>
Date: Thu, 08 Jun 2023 18:09:40 +0100

> I find the or/if/and/or mix here a bit dense to parse.  I think it'd be
> a cleaner and easier to follow to process external-x-debbugs-cc and
> x-debbug-cc into a list of values (potentially '()), merge then,
> deduplicate them, and finally string-join them back before displaying
> the combined value.

Good point! I avoided splitting and joining due to the complexity of
handling the escaping of commas in names. But, I have done it now, and
it does make the code a lot clearer. Patches follow subsequently.